class PyCode:
  
  def __str__(self):
    return self.as_text(0)

  def indented(self, indent, text):
    return " " * indent + text


class PyStat(PyCode):

  def __init__(self, text):
    self.text = text

  def as_text(self, indent):
    return self.indented(indent, self.text)


class PyStats(PyCode):

  def __init__(self):
    self.items = []

  def append(self, item):
    self.items.append(item)

  def as_text(self, indent):
    items_as_text = [item.as_text(indent) for item in self.items]
    return "\n".join(items_as_text)


class PySuiteStat(PyCode):

  def __init__(self, header, body):
    self.header = header
    self.body = body

  def as_text(self, indent):
    return "%s:\n%s" % (self.indented(indent, self.header), 
                        self.body.as_text(indent + 1))
