import os, sys
from ZilScan import ZilScanner, ZilError
from ZilParse import p_declarations
from PyCode import PyStat, PyStats

def do_file(path):
  f = open(path)
  s = ZilScanner(f, path)
  return p_declarations(s)

def do_program(source_files):
  if source_files:
    prog_code = PyStats()
    prog_code.append(PyStat("from ZilRuntime import *"))
    for path in source_files:
      try:
        file_code = do_file(path)
        prog_code.append(file_code)
      except ZilError:
        pass
    prog_code.append(PyStat("r_MAIN()"))
    #print prog_code
    out_path = os.path.splitext(source_files[-1])[0] + ".py"
    out_file = open(out_path, "w")
    out_file.write(str(prog_code))
    out_file.close()

do_program(sys.argv[1:])
